define([
    "./app/Router",
    "./routes",
    "./session",
    "./ui/MainMenu",
    "dojo/_base/array",
    "dojo/_base/xhr",
    "dojo/dom",
    "dojo/parser",
    "./stddeps",
    "dojo/domReady!"
], function(Router, routes, session, MainMenu, array, xhr, dom, parser) {

    parser.parse();

    new MainMenu({},"menu").startup();

    xhr("GET", {
        url: 'api/mode',
        handleAs: 'json'
    }).then(function(result){
        var node = dom.byId('qedModeNode');
        if ( result.mode !== 'production' ) {
            node.innerHTML = " - "+result.mode;
        }
    });

    array.forEach(routes,function(route){
        Router.register(route);
    });
    Router.startup();

    session.restore();

});
